<?php 


include"../../aut_verifica.inc.php";
require_once('../config/lang/eng.php');
require_once('../tcpdf.php');

$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// Informacion del Documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('');
$pdf->SetTitle('');
$pdf->SetSubject('');
$pdf->SetKeywords('');

$pdf->setLanguageArray($l);

$pdf->AddPage();


$pdf->SetFont('helvetica', 'B', 20);
$style = array(
	'position' => 'R',
	'align' => 'C',
	'stretch' => false,
	'fitwidth' => true,
	'cellfitalign' => '',
	//'border' => true,
	'padding' => 'auto',
	'fgcolor' => array(0,0,0),
	'bgcolor' => false, //array(255,255,255),
	'text' => true,
	'font' => 'helvetica',
	'fontsize' => 8,
	//'stretchtext' => 4
);
$fecha=$_GET['fecha'];
$cedula=$_GET['cedula'];


$consulta=mysql_query("select * from detalle_prenomina where cedula_empleado='$cedula' and 	Fecha_prenomina='$fecha'");
$row=mysql_fetch_array($consulta);

	$consulta_empleado2=mysql_query("select * from prenomina where fecha='$fecha'");
	$vdatos2=mysql_fetch_array($consulta_empleado2);
	
	

	$consulta_empleado=mysql_query("select * from empleado where cedula='".$row['cedula_empleado']."'");
	$vdatos=mysql_fetch_array($consulta_empleado);
	
	$consulta_empleado22=mysql_query("select * from departamentos where id='".$vdatos['id_departamento']."'");
	$vdatos222=mysql_fetch_array($consulta_empleado22);
	
		
	$consulta_empleado23=mysql_query("select * from cargos where id='".$vdatos['id_cargo']."'");
	$vdatos223=mysql_fetch_array($consulta_empleado23);
	

	
	
	$consulta_empleado233=mysql_query("select * from empleado_nomina where cedula_empleado='".$vdatos['cedula']."'");
	$vdatos2233=mysql_fetch_array($consulta_empleado233);

	$nomina=mysql_query("select * from nomina where id='".$vdatos2233['id_nomina']."'");
	$nomina_2=mysql_fetch_array($nomina);	
	
	$pagar_total=$vdatos223['monto']+$vdatos['sueldo'];
	$total=$vdatos223['monto']+$vdatos['sueldo'];
	$hijos=$vdatos['hijos'];

/*
$cmb=pg_Exec($con,"select  * from public.historico,public.historico_detalle where public.historico.hist_codigo=public.historico_detalle.hist_codigo and public.historico_detalle.histdet_cedula='$cedula'");
$_POST['cmb'];
if($_POST['cmb']!=""){
$historico=pg_Exec($con,"select * from public.historico where  hist_codigo='".$_POST['cmb']."'");
$v_historico = pg_fetch_array($historico);

$datos=pg_Exec($con,"select * from public.historico_detalle where  histdet_cedula='".$cedula."' and hist_codigo='".$_POST['cmb']."'");
$v_datos = pg_fetch_array($datos);


  $fecha=date("d-m-Y");
$sql="INSERT INTO  public.validacion (cedula,codigo,fecha) VALUES ('$cedula','$llave','$fecha')";
pg_Exec($con,$sql);
*/

$currentdate = date("jnyhis",time());
list($usecs,$secs) = microtime();
  $llave="{$currentdate}{$usecs}";

//crear



$html1 = '

<table width="556" border="0">
  <tr>
    <td width="350">     IUPSM BARINAS<BR>
    SISTEMA DE NOMINA - SERVICIOS INTEGRALES<BR>
    SISTEMA DE NOMINA V1.0<BR></td>
    <td width="171"><center>CODIGO:&nbsp; '.$llave.'</center></td>
    <td width="278" align="right"></td>
  </tr>
</table>


<table width="470" border="0">
  <tr>
    <td align="center"><u>RECIBOS DE PAGO - '.$nomina_2['descripcion'].' - '.$vdatos2['descripcion'].'</u></td>
  </tr>
  <tr>
    <td align="right"><b>FECHA PAGO '.$vdatos2['fecha'].'</b></td>
  </tr>
</table>
<br>
<table width="470" border="1">
  <tr>
    <td width="550">DEPENDENCIA: '.$vdatos222['descripcion'].'</td>
  </tr>
  </table>
  <table width="550" border="1">
  <tr>
    <td>NOMBRE :'.$vdatos['nombres'].'</td>
    <td>CEDULA: '.$vdatos['cedula'].'</td>
  </tr>
  <tr>
    <td>CARGO : '.$vdatos223['descripcion'].'</td>
    <td>FECHA INGRESO:  '.$vdatos['fecha_ini'].'</td>
  </tr>
</table>
';







 $html4='
<table  width="451" border="1" >
    <tr>
    <td width="240">&nbsp;DESCRIPCION</td>
    <td width="110">&nbsp;ASIGNACIONES</td>
    <td width="100">&nbsp;DEDUCCIONES</td>
    <td width="100">&nbsp;NETO A COBRAR</td>
  </tr>

 </table>
  <table  width="451" border="0" >
  <tr>
    <td width="240"></td>
    <td width="110"></td>
    <td width="100"></td>
    <td width="100"></td>
  </tr>
 </table>
 <table  width="451" border="0" >
  <tr>
    <td width="240">SUELDO NETO </td>
    <td width="110">'.$pagar_total.'</td>
    <td width="100">0</td>
    <td width="100"></td>
  </tr>
 </table>';
 
$consultax=mysql_query("select * from conceptos where id_nomina='".$vdatos2233['id_nomina']."' and estado='aumento'");
while($rowx=mysql_fetch_array($consultax)){
$valor_formula=$rowx['formula'];
eval("\$x1= $valor_formula; ");
$i++;

$html51[]='
<table  width="451" border="0" >
  <tr>

    <td width="240">'.$rowx['descripcion'].'</td>
	<td width="110">'.$x1.'</td>
    <td width="100">0</td>
	<td width="100"></td>
	</tr> 
</table>
 '; }
 $consultax24=mysql_query("select * from conceptos_trabajador where cedula_empleado='".$vdatos['cedula']."' and nombre='ASIGNACION_EMPLEADO'");
while($rowx24=mysql_fetch_array($consultax24)){

$valor_formula=$rowx24['formula'];
eval("\$x2= $valor_formula; ");

$i++;

$html51[]='
<table  width="451" border="0" >
  <tr>

    <td width="240">'.$rowx24['descrip'].'</td>
	<td width="110">'.$x2.'</td>
    <td width="100">0</td>
	<td width="100"></td>
	</tr> 
</table>
 '; }
 
 $consultax24=mysql_query("select * from conceptos_trabajador where cedula_empleado='".$vdatos['cedula']."' and nombre='DEDUCCIONES_EMPLEADO'");
while($rowx24=mysql_fetch_array($consultax24)){

$valor_formula=$rowx24['formula'];
eval("\$x3= $valor_formula; ");


$i++;

$html51[]='
<table  width="451" border="0" >
  <tr>

    <td width="240">'.$rowx24['descrip'].'</td>
	<td width="110">0</td>
    <td width="100">'.$x3.'</td>
	<td width="100"></td>
	</tr> 
</table>
 '; }
  
 
 $consultax2=mysql_query("select * from conceptos where id_nomina='".$vdatos2233['id_nomina']."' and estado='descuento'");
while($rowx2=mysql_fetch_array($consultax2)){
$valor_formula=$rowx2['formula'];
eval("\$x4= $valor_formula; ");
$i++;

$html51[]='
<table  width="451" border="0" >
  <tr>

    <td width="240">'.$rowx2['descripcion'].'</td>
	<td width="110">0</td>
    <td width="100">'.$x4.'</td>
	<td width="100"></td>
	</tr> 
</table>
 '; }
$TOTAL_1=$row['deducciones_nomina']+$row['deducciones_empleado'];
$TOTAL_2=$row['asignaciones_nomina']+$row['asignaciones_empleado']+$pagar_total;


$html7='
<table  width="451" border="1" >
  <tr>

    <td width="240"></td>
	<td width="110"><b>&nbsp;'.$TOTAL_2.'</b></td>
    <td width="100"><b>&nbsp;'.$TOTAL_1.'</b></td>
	<td width="100"><b>&nbsp; '.$row['total'].' </b></td>
	</tr> 
</table>
 '; 

// Estilo 
$pdf->SetFont('helvetica', '', 10);


// Imprimir contenido
$pdf->writeHTML($html1, true, 0, true, true);
$pdf->Ln(); $pdf->writeHTML($html4, true, 0, true, true);
$pdf->Ln();
for($x=0;$x<=$i;$x++){
$pdf->writeHTML($html51[$x], true, 0, true, true);
$pdf->Ln();
}


$pdf->writeHTML($html7, true, 0, true, true);
$pdf->Ln();

$pdf->write1DBarcode(''.$cedula.'', 'C39E+', '', '', '', 18, 0.4, $style, 'N');
$pdf->Ln();


$pdf->Output('example_039.pdf', 'I');
?>